'##############################################################################################################
'FTP_List TEST-CLIENT fr TSNE_V3 und TSNEX_V3
'##############################################################################################################



'##############################################################################################################
#include once "TSNEX_V3.bi"				'Wir binden die TSNE-X Version 3 ein. Sie beinhaltet bereits die TSNE_V3



'##############################################################################################################
Dim DD() as String						'Array fr Verzeichnisse
Dim DC as UInteger						'Anzahl Verzeichnisse im Array
Dim FD() as String						'Array fr Dateien
Dim FC as UInteger						'Anzahl Dateien im Array


'Die URL Definieren. Sie wird per Commandline bergeben und muss folgendermassen aufgebaut sein:
'ftp://[<benutzername>[:<Passwort>]@]<Hostname>.<Domain>/[<verzeichniss>]/[<Dateiname>][.<Dateierweiterung>]
Dim XURL as String = Command()


'Hier rufen wir die LIST Funktion fr FTP auf.
'Dabei bergeben wir der Funktion eine Komplette URL, welche bereits Host / Port / User und Passwort enthlt.
'Alternativ knnen auch alle Angaben direkt der Funktion bergeben werden, falls keine URL verwendet werden soll.
Dim RV as Integer = TSNEX_FTP_List(XURL, , , , , DD(), DC, FD(), FC)


If RV <> TSNEX_Const_NoError Then			'Prfen, ob die Abfrage erfolgreich war. Wenn nicht
	Print TSNEX_GetGURUCode(RV)				'dann geben wir den Fehlercodezurck
	End -1									'Und beenden das Programm
End If


Print "= Folder ="							'Andernfalls geben wir die Verzeichnisse aus
For X as UInteger = 1 to DC					'Von 1 bis Anzahl Verzeichnisse im Array
	Print " "; DD(X)						'Verzeichnissname ausgeben
Next

Print "= Files ="							'Das selbe mit den Dateinamen
For X as UInteger = 1 to FC
	Print " "; FD(X)
Next


End 0										'Zum schluss das Programm sauber beenden

