'##############################################################################################################
'FTP_Download TEST-CLIENT fr TSNE_V3 und TSNEX_V3
'##############################################################################################################



'##############################################################################################################
#include once "TSNEX_V3.bi"				'Wir binden die TSNE-X Version 3 ein. Sie beinhaltet bereits die TSNE_V3



'##############################################################################################################
'Ein Callback (Das ist Optional), kann den aktuellen fortschritt anzeigen. Dabei wird die Maximalgrsse sowie
'die bereits hochgeladene oder heruntergeladene Datengrsse angezeigt.
'Das Callback wird nur bei _DownLoad und _UpLoad verwendet.
Sub ProgressCallback(V_Max as UInteger, V_Value as UInteger)
locate , 1								'Wir positionieren unseren Cursor an den Anfang der Zeile
Print Str(V_Max); " / "; Str(V_Value);	'Und schreiben odrt (ohen Zeilenumbruch) die aktuellen Werte hin.
End Sub



'##############################################################################################################
'Die URL Definieren. Sie wird per Commandline bergeben und muss folgendermassen aufgebaut sein:
'ftp://[<benutzername>[:<Passwort>]@]<Hostname>.<Domain>/[<verzeichniss>]/[<Dateiname>][.<Dateierweiterung>]
Dim XURL as String = Command()


'Hier rufen wir die Download Funktion fr FTP auf.
'Dabei bergeben wir der Funktion eine Komplette URL, welche bereits Host / Port / User und Passwort enthlt.
'Alternativ knnen auch alle Angaben direkt der Funktion bergeben werden, falls keine URL verwendet werden soll.
'Zustzlich KANN (muss NICHT) ein Callback angegeben werden. Dieses Informiert uns ber den aktuellen Fortschritt.
'
'Wird kein Zielverzeichniss angegeben, wird die Datei automatisch in das Selbe verzeichniss geschrieben.
'Ist eien Datei mit dem selben Namen schon vorhanden, erfolgt eine Fehlermeldung. Die Datei muss folglich zuvor
'von hand gelscht werden, damit die Funktion den Download aufnehmen kann.
'Die Datei kann mit "Kill" von hand gelscht werden.
Dim RV as Integer = TSNEX_FTP_Download(XURL, , , , , , @ProgressCallback)
Print ""									'Da wir ein Callback nutzen, das beim Print keine zeilenumbrche macht, machen wir jetzt einen

If RV <> TSNEX_Const_NoError Then			'Prfen, ob die Abfrage erfolgreich war. Wenn nicht
	Print TSNEX_GetGURUCode(RV)				'dann geben wir den Fehlercodezurck
	End -1									'Und beenden das Programm
End If



End 0										'Zum schluss das Programm sauber beenden

