'##############################################################################################################
'SMTP_SendMail TEST-CLIENT fr TSNE_V3 und TSNEX_V3
'##############################################################################################################



'##############################################################################################################
#include once "TSNEX_V3.bi"				'Wir binden die TSNE-X Version 3 ein. Sie beinhaltet bereits die TSNE_V3



'##############################################################################################################
'Die Geben wir einige Daten an, die zum Senden von E-Mails ntig sind.

'Der RelayServer ist ein Server, der unsere E-Mail entgegen nimmt, und entsprechend Weiterleitet
'Wird kein RelayServer angegeben, dann versucht die Funktion die E-Mail direkt zum Empfnger zu senden
'Das Funktioniert jedoch nicht immer. GMX z.B. Verweigert die entgegennahme von E-Mail, welche nicht
'von einem "offiziellem" E-Mail Ralay stammen.
'T-Online kunden bietet seinen Kunden einen Kostenlosen Server an, der ausschliesslich von einem
'T-Online Internet-Anschluss genutzt werden kann.
'Steht einem Dieser Server nichtzur verffung kann hier auch ein E-Mail Hoster angegeben werden. z.B. GMX
'selbst. Dann Versucht die Funktion diesen Server zu kontaktieren (Benutzername und Passwort sind dabei
'erfoderlich), und sendet diese E-Mail ber diesen Server, falls die Anmeldung erfolgreich war.
'Einige Hoster bentigen hier eine Aktivierung dieses Dienstes in den Einstellungen des entsprechenden
'Benutzer Kontos. Wie die Server-Adresse lautet, kann man bei seinem E-Mail Hoster erfragen.
'Ein Yahoo SMTP-Relay ist: "smtp.mail.yahoo.de", bentigt jedoch Benutzername und Passwort
Dim XRelayServer as String = "smtprelay.t-online.de"

'Der StandardPort fr einen SMTP-Server
Dim XRelayPort as UShort = 25

'Wird ein Relay-Server verwendet, der Benutzername und Passwort erfodern tragen wir diese hier ein.
Dim XUsername as String = ""
Dim XPassword as String = ""

'Die Absender E-Mail andresse (Wenn Benutzername und Passwort erfoderlich sind, kann hier meist nur
'die E-Mailadresse eingetragen werden, die auch zum Benutzerkonto past!)
Dim XMailFrom as String = "Foobar@TSNEX.de"

'Die E-Mail Adresse des Empfngers
Dim XMailTo as String = "Barfoo@TSNEX.de"

'Ein Betreff fr die EMail
Dim XSubject as String = "A short test mail"

'Der eigentliche Text der E-Mail. Dieser txt darf fr diesen Funktionsaufruf eine gesammtlnge von 100KiloByte nicht berschreiten
'Theoretisch wre ein grsserer Text mglich, da diese Funktion jedoch eher fr kleine Kompakte E-Mails die von einem
'Programm generiert werden, vorgesehen ist, reicht das massig aus.
Dim XMessage as String = "Hello!" & Chr(13, 10) & "This is a short testmail sending by TSNEX" & Chr(13, 10) & Chr(13, 10) & "Greetings"


'Hier rufen wir die SMTP 'E-Mail senden' Funktion auf und bergeben alle Parameter an die Funktion.
'Als XRelayServer parameter kann auch eine URL angegeben werden, die folgenden Aufbau besitzen muss:
'SMTP://[<Username>[:<Password>]@]<RelayServer>[:<RelayPort>]
Dim RV as Integer = TSNEX_SMTP_SendMail(XRelayServer, XRelayPort, XUsername, XPassword, XMailFrom, XMailTo, XSubject, XMessage)

If RV <> TSNEX_Const_NoError Then			'Prfen, ob die Abfrage erfolgreich war. Wenn nicht
	Print TSNEX_GetGURUCode(RV)				'dann geben wir den Fehlercodezurck
	End -1									'Und beenden das Programm
End If



End 0										'Zum schluss das Programm sauber beenden

